import { ConfigService } from '@nestjs/config';
import { IProviderCapabilitiesService, InstanceTypeInfo, ProviderInfo } from '../../interfaces/provider-capabilities.interface';
import { ProviderRegion } from '../../../management/entities/provider-region.entity';
import { ProviderCapabilities } from '../../../management/entities/provider-capabilities.entity';
import { ProviderCredentials } from '../../../management/entities/credentials.entity';
import { ValidationResultDto } from '../../../management/dto/validation-result.dto';
export declare class ContaboCapabilitiesService implements IProviderCapabilitiesService {
    private readonly configService;
    constructor(configService: ConfigService);
    getAvailableRegions(): Promise<ProviderRegion[]>;
    getSupportedInstanceTypes(): Promise<InstanceTypeInfo[]>;
    getProviderInfo(): Promise<ProviderInfo>;
    validateCredentials(credentials: ProviderCredentials): Promise<ValidationResultDto>;
    private static readonly LOGO_PATH;
    getLogo(): Buffer;
    getLogoContentType(): string;
    getStaticCapabilities(): ProviderCapabilities;
    getCapabilities(): Promise<ProviderCapabilities>;
}
